List Services
curl --request GET \
--url https://api.danubeai.com/v1/services/publicimport requests
url = "https://api.danubeai.com/v1/services/public"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.danubeai.com/v1/services/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.danubeai.com/v1/services/public",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.danubeai.com/v1/services/public"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.danubeai.com/v1/services/public")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.danubeai.com/v1/services/public")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"service_type": "api",
"category": "<string>",
"logo": "<string>",
"contact": {},
"documentation_url": "<string>",
"verification_tier": "unverified",
"status": "active",
"visibility": "public",
"tool_count": 123,
"total_executions": 123,
"success_rate": 123,
"avg_rating": 123,
"rating_count": 123,
"is_popular": true,
"is_demo": true,
"version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Services
List Services
Get all available services. No authentication required.
GET
/
services
/
public
List Services
curl --request GET \
--url https://api.danubeai.com/v1/services/publicimport requests
url = "https://api.danubeai.com/v1/services/public"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.danubeai.com/v1/services/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.danubeai.com/v1/services/public",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.danubeai.com/v1/services/public"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.danubeai.com/v1/services/public")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.danubeai.com/v1/services/public")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body[
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"summary": "<string>",
"description": "<string>",
"service_type": "api",
"category": "<string>",
"logo": "<string>",
"contact": {},
"documentation_url": "<string>",
"verification_tier": "unverified",
"status": "active",
"visibility": "public",
"tool_count": 123,
"total_executions": 123,
"success_rate": 123,
"avg_rating": 123,
"rating_count": 123,
"is_popular": true,
"is_demo": true,
"version": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]Get a list of all available service providers. This endpoint is public and does not require authentication.
Example
curl -X GET "https://api.danubeai.com/v1/services/public"
Query Parameters
One of the 15 categories (communication, productivity, development, data, finance, marketing, social, analytics, security, infrastructure, ai_ml, design, education, health, other)
popular (default), new, name or trending
Response
200 - application/json
List of services
Unique identifier for the service
Display name of the service
Short summary of the service
Service description
Available options:
api, mcp_server, internal Logo URL
name, url (the service's website) and email
Available options:
unverified, verified, official Available options:
active, degraded, retired Available options:
public, private, internal, local_only A fake-data sandbox such as JSONPlaceholder
